Issue 75551 - port helperapi constant solution to oovbaapi module
Summary: port helperapi constant solution to oovbaapi module
Alias: None
Product: General
Classification: Code
Component: scripting (show other issues)
Version: OOo 2.2 RC3
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.4
Assignee: sled10guy
QA Contact: issues@framework
Depends on:
Reported: 2007-03-20 11:34 UTC by noel.power
Modified: 2009-07-20 14:52 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---

test document (1.19 MB, application/
2007-11-21 11:28 UTC, noel.power
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description noel.power 2007-03-20 11:34:18 UTC
the helperapi module provides constants via a 2 step process
1) meta information is extracted from associated binaries and dlls
2) meta information is processed and idl definitions are autogenerated and
associated type libraries are provided from that.

the currently set of constants that is provided in the oovbaapi module is coded
by hand
   a) it possible contains error/typos
   b) it has a different namespaces

we should 
   a) remove the hardcoded constant idl files from oovbaapi and replace it with
them with the system already in place in the helperapi to provide autogenerated
idl files from meta data.
   b) the helperapi code ( the idl file generation step ) needs to be modified
to create constants in the namespace expected by the oovbaapi project
Comment 1 noel.power 2007-03-20 11:35:06 UTC
set target, add ab as cc
Comment 2 noel.power 2007-05-21 15:55:15 UTC
fixed in cws npower8
Comment 3 pavel 2007-08-06 15:06:29 UTC
Change target.
Comment 4 noel.power 2007-11-21 11:11:32 UTC
Comment 5 noel.power 2007-11-21 11:12:53 UTC
I can say its verified ( because the build would fail otherwise ) but for a quick
manual test, use the attached document, press run
Comment 6 noel.power 2007-11-21 11:28:33 UTC
Created attachment 49788 [details]
test document
Comment 7 sled10guy 2007-11-29 23:33:10 UTC
Passed Regression testing on SLED10SP1 using vbaapi-patched.oxt and on Windows
XP using vbaapi.oxt.
Comment 8 thorsten.ziehm 2009-07-20 14:52:38 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
If you want to know more about the handling of fixed/verified issues =>